Get Image
curl --request GET \
--url https://api.mountthor.com/v1/admin/images/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mountthor.com/v1/admin/images/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mountthor.com/v1/admin/images/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "<string>",
"formatVersion": "<string>",
"id": "<string>",
"issues": [
{
"code": "<string>",
"remediation": "<string>",
"severity": "<string>",
"componentPath": "<string>",
"expected": "<string>",
"observed": "<string>"
}
],
"kind": "<string>",
"name": "<string>",
"status": "<string>",
"updatedAt": "<string>",
"activeImport": {
"archiveSha256": "<string>",
"archiveSizeBytes": 123,
"imageId": "<string>",
"imageName": "<string>",
"importId": "<string>",
"issues": [
{
"code": "<string>",
"remediation": "<string>",
"severity": "<string>",
"componentPath": "<string>",
"expected": "<string>",
"observed": "<string>"
}
],
"progressPercent": 123,
"sourceImageId": "<string>",
"sourceImageName": "<string>",
"sourceImageSubjectDigest": "<string>",
"stage": "<string>",
"subjectDigest": "<string>",
"updatedAt": "<string>",
"uploadPartSizeBytes": 123,
"operationName": "<string>",
"uploadExpiresAt": "<string>"
},
"archiveSha256": "<string>",
"archiveSizeBytes": 123,
"compatibility": {
"architecture": "<string>",
"guestAgentContract": "<string>",
"hostClasses": [
"<string>"
],
"macosBuild": "<string>",
"macosVersion": "<string>",
"operatingSystem": "<string>",
"chipFamilies": [
"<string>"
],
"minFreeDiskBytes": 1,
"minHostMacosVersion": "<string>",
"requiredVirtualizationFeatures": [
"<string>"
],
"requiresApfsClone": true,
"toolchains": [
{
"name": "<string>",
"version": "<string>",
"build": "<string>"
}
]
},
"deletedAt": "<string>",
"lineage": {
"sourceImageId": "<string>",
"sourceImageName": "<string>",
"sourceImageSubjectDigest": "<string>"
},
"publishedAt": "<string>",
"subjectDigest": "<string>"
}"<string>"Images
Get Image
GET
/
v1
/
admin
/
images
/
{name}
Get Image
Authorizations
Bearer scheme name used by typed customer admin operations.
Path Parameters
Canonical image name
Response
Image metadata and validation issues
Canonical archive contract understood by Mount Thor tooling.
Stable customer-facing id (img_ plus 32 lowercase hex characters).
Show child attributes
Show child attributes
base or customer.
importing, ready, invalid, deleting, or deleted.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes